Package Details: dwarffortress-lnp-git 44.03-2

Git Clone URL: https://aur.archlinux.org/dwarffortress-lnp-git.git (read-only)
Package Base: dwarffortress-lnp-git
Description: Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics
Upstream URL: None
Licenses: custom
Submitter: metamer
Maintainer: None
Last Packager: metamer
Votes: 23
Popularity: 0.000085
First Submitted: 2016-03-06 03:30
Last Updated: 2018-01-12 03:15

Dependencies (29)

Required by (0)

Sources (25)

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7

metamer commented on 2016-04-06 06:17

Thanks for looking over the files. Unfortunately, I do not currently have access to my Arch machine, so I cannot make the change for the shell declaration - I'm open to allowing co-maintainers if you would like to update it.

Also, for soundsense, the item in utilities should be titled soundSense.sh (note the .sh suffix). If soundsense is on your path upon installation, the PKGBUILD should set this up automatically.

Yamakaky commented on 2016-04-03 20:31

Also, I couldn't find how to add https://aur.archlinux.org/packages/soundsense/. I tried `ln -s /opt/soundsense /opt/dwarffortress-lnp-git/LNP/utilities/`.

Yamakaky commented on 2016-04-03 19:44

`lnp` uses [[, but declares the shell as `/bin/sh`. It should be `/bin/bash`, or even better `/usr/bin/env bash`.